package com.adealink.weparty.joinus.step2.data

import com.adealink.weparty.module.profile.data.EditUserInfo
import com.google.gson.annotations.SerializedName

class Step2EditUserInfo : EditUserInfo() {
    var languages: List<LanguageConfigData>? = null
        set(value) {
            field = value
            isEdited = true
        }
}

data class LanguageConfigRes(
    @SerializedName("commonLanguageConsts") val languages: List<LanguageConfigData>,
)

data class LanguageConfigData(
    @SerializedName("code") val code: String, //"id","zh"
    @SerializedName("name") val name: String, //"印尼","中文"
)

data class LanguageItemData(
    val language: LanguageConfigData,
    val showDivider: Boolean,
    var selected: Boolean,
)